# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(Data/Validate/Type.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Entities.pm) perl(HTTP/Request.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(SOAP/Lite.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/More.pm) perl(Test/Type.pm) perl(Text/Unaccent.pm) perl(Try/Tiny.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define module_version v1.6.2
%define module_name Email-ExactTarget
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.6.2
Release: alt1
Summary: Interface to ExactTarget's API.
Group: Development/Perl
License: gpl
URL: https://metacpan.org/release/Email-ExactTarget

Source0: http://cpan.org.ua/authors/id/A/AU/AUBERTG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module allows you to interact with Exact Target, an Email Service
Provider. It encapsulates all the communications with the API provided by Exact
Target to offer a Perl interface for managing lists and subscribers amongst
other features.

Please note that you will need to register with Exact Target first in order to
obtain an API key and password, as well as agree with the Terms and Conditions
for using the API.

_use Email::ExactTarget;

_# Create an object to communicate with Exact Target
_my $exact_target = Email::ExactTarget->new(
__'username'                => 'dummyusername',
__'password'                => 'dummypassword',
__'verbose'                 => 1,
__'unaccent'                => 1,
_);



%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md examples
%perl_vendor_privlib/E*

%changelog
* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 1.6.2-alt1
- regenerated from template by package builder

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1
- initial import by package builder

